ServerEvents.recipes((event) => {
    // =========================================
    // Modular Routers
    // =========================================

    // Swap Flower Pot for Fertilizer
    event.replaceInput(
        { mod: 'botanypots' },
        'minecraft:flower_pot',
        'alexscaves:fertilizer'
    );

    // Swap Hopper for Adv Hopper Upgrade
    event.replaceInput(
        [{ mod: 'botanypots'}, {mod: 'botanypotstiers' }],
        'minecraft:hopper',
        'sophisticatedstorage:advanced_hopper_upgrade'
    );

    // Swap Ender Pearl for Amber Curiosity
    event.replaceInput(
        { mod: 'botanypotstiers' },
        '#forge:ender_pearls',
        'alexscaves:amber_curiosity'
    );

    // Swap Iron Block for Heavy Bone
    event.replaceInput(
        { mod: 'botanypotstiers' },
        '#forge:storage_blocks/iron',
        'alexscaves:heavy_bone'
    );

    // Swap Diamond Block for Ice Shard
    event.replaceInput(
        { mod: 'botanypotstiers' },
        '#forge:storage_blocks/diamond',
        'ad_astra:ice_shard'
    );

    // Swap Netherite Block for Calorite Block
    event.replaceInput(
        { mod: 'botanypotstiers' },
        '#forge:storage_blocks/netherite',
        '#forge:storage_blocks/calorite'
    );
});

